Subject: [SWIPL] Calling prolog from C

From: Justin David Kalweit <[email-masked]>
Date: Thu, 14 Feb 2002 03:01:55 -0500 (EST)

I am using pl-5.0.1 on a linux machine.
Is it possible to call the prolog engine from C code initially?  Or do I
have to call my C prog from prolog first.  Also, if the above is
possible, I am assuming that including SWI-Prolog.h is not enough and
that I need to link some kind of prolog library when compiling my c
program.  I can't seem to find this library.  Any path hints or even
just the name of the lib?

-Justin Kalweit